import { OnInit } from '@angular/core';
import { LandingPageConfig, WidgetConfiguration } from '../../../../../interfaces/WidgetInterfaces';
import { DisplayStateService } from '../../../../../services/DisplayStateService';
import { WebPlatformApiService } from '../../../../../services/WebPlatformApiService';
export declare class LandingEditorModalComponent implements OnInit {
    private displayStateService;
    private webPlatformApiService;
    modalRef: any;
    widgetConfig: WidgetConfiguration;
    landingConfig: LandingPageConfig;
    viewsJSON: string;
    viewsJSONcls: string;
    linksJSON: string;
    linksJSONcls: string;
    constructor(displayStateService: DisplayStateService, webPlatformApiService: WebPlatformApiService);
    ngOnInit(): void;
    grabJSON(): void;
    checkJSON(): void;
    addExtWidgetConfig(): void;
    deleteExtWidgetConfigByIndex(ix: number): void;
    saveDb(): void;
    cancelEdit(): void;
}
